summaryrefslogtreecommitdiffstats
path: root/source/a/pkgtools/obsolete-scripts/setup.90.modem-device
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/a/pkgtools/obsolete-scripts/setup.90.modem-device
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/a/pkgtools/obsolete-scripts/setup.90.modem-device')
-rw-r--r--source/a/pkgtools/obsolete-scripts/setup.90.modem-device44
1 files changed, 44 insertions, 0 deletions
diff --git a/source/a/pkgtools/obsolete-scripts/setup.90.modem-device b/source/a/pkgtools/obsolete-scripts/setup.90.modem-device
new file mode 100644
index 000000000..a1c5993af
--- /dev/null
+++ b/source/a/pkgtools/obsolete-scripts/setup.90.modem-device
@@ -0,0 +1,44 @@
+#!/bin/sh
+#BLURB="Select modem device"
+TMP=/var/log/setup/tmp
+T_PX="$1"
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+
+dialog --title "MODEM CONFIGURATION" --menu "This part of the configuration \
+process will create a /dev/modem link pointing to the callout device (ttyS0, \
+ttyS1, ttyS2, ttyS3) representing your default modem. You \
+can change this link \
+later if you move your modem to a different port. If your modem is a PCI card, \
+it will probably use /dev/ttyS4 or higher. \
+Please select the callout \
+device which you would like to use for your modem:" 22 68 9 \
+"no modem" "do not set a /dev/modem link" \
+"/dev/ttyS0" "(COM1: under DOS)" \
+"/dev/ttyS1" "(COM2: under DOS)" \
+"/dev/ttyS2" "(COM3: under DOS)" \
+"/dev/ttyS3" "(COM4: under DOS)" \
+"/dev/ttyS4" "PCI modem" \
+"/dev/ttyS5" "PCI modem" \
+"/dev/ttyS6" "PCI modem" \
+"/dev/ttyS7" "PCI modem" \
+"/dev/ttyS8" "PCI modem" \
+"/dev/ttyS9" "PCI modem" \
+"/dev/ttyS10" "PCI modem" \
+"/dev/ttyS11" "PCI modem" \
+"/dev/ttyS12" "PCI modem" \
+"/dev/ttyS13" "PCI modem" \
+"/dev/ttyS14" "PCI modem" \
+"/dev/ttyS15" "PCI modem" \
+2> $TMP/callout
+
+if [ $? = 0 ]; then
+ MODEM_DEVICE="`cat $TMP/callout`"
+ if [ ! "$MODEM_DEVICE" = "no modem" ]; then
+ MODEM_DEVICE=`basename $MODEM_DEVICE`
+ ( cd $T_PX/dev ; ln -sf $MODEM_DEVICE modem )
+ fi
+fi
+rm -f $TMP/callout
+